Bug 1284408 - libpyclassad should be in /usr/lib64, but it is in /usr/lib64/python2.6/site-packages on EPEL7
libpyclassad should be in /usr/lib64, but it is in /usr/lib64/python2.6/site-...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: condor (Show other bugs)
epel7
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: František Dvořák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 04:37 EST by Iain Steers
Modified: 2016-01-29 13:53 EST (History)
1 user (show)

See Also:
Fixed In Version: condor-8.3.8-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 13:53:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Steers 2015-11-23 04:37:00 EST
Description of problem:

>>> import htcondor
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
ImportError: libpyclassad2.6_8_2_9.so: cannot open shared object file: No such file or directory

libpyclassad should be in /usr/lib64, but it is in /usr/lib64/python2.6/site-packages.

Version-Release number of selected component (if applicable):

condor-8.3.6-1.el7.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Install EPEL 7 build of condor
2. Open python repl
3. import htcondor

Actual results:

>>> import htcondor
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
ImportError: libpyclassad2.6_8_2_9.so: cannot open shared object file: No such file or directory

Expected results:

Should import the htcondor library

Additional info:
Comment 1 Fedora Update System 2016-01-14 19:10:12 EST
condor-8.3.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-85293bec16
Comment 2 Fedora Update System 2016-01-15 04:22:43 EST
condor-8.3.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-85293bec16
Comment 3 Fedora Update System 2016-01-29 13:52:52 EST
condor-8.3.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.